Retrieves all the purchase orders
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
purchase_order| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| id2 |
Internal ID (numeric) automatically filled if empty |
integer | |
| jobs_id |
Foreign key to Jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" using ERP PK when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| supplier_company_id |
Foreign key to company, contains the supplier |
globally unique identifier | |
| supplier_company_code |
Embedded entity "company" for the supplier using ERP PK when adding/updating |
string | |
| supplier_company |
Embedded entity "company" for supplier using ERP PK when adding/updating |
company | |
| user_id |
Creator of the purchase order |
globally unique identifier | |
| user_code |
Embedded entity "user" for creator using ERP PK when adding/updating purchase_order |
string | |
| user |
Embedded entity "user" for creator using node when adding/updating purchase_order |
user | |
| description |
Description of the purchase order |
string |
Max length: 4000 |
| memo |
Memo, remark |
string | |
| total_lines |
Number of lines, automatically filled when adding/updating/deleting lines |
integer | |
| date_create |
Creation date |
date | |
| date_update |
Last update date |
date | |
| date_delivery |
Estimated date of delivery |
date | |
| confirmed_date_delivery |
Date of the delivery |
date | |
| delivery_db_address_id |
If Delivery and no picking, AddressID of the company (if not the main) |
globally unique identifier | |
| approved_by_user_id |
If approval was needed, which user approves it |
globally unique identifier | |
| approved_by_user_code |
Embedded entity "user" for approver using ERP PK when adding/updating purchase_order |
string | |
| approved_by_user |
Embedded entity "user" for approver using node when adding/updating purchase_order |
user | |
| technical_user_id |
User to contact if case of technical question about the purchase order |
globally unique identifier | |
| technical_user_code |
Embedded entity "user" for technical user using ERP PK when adding/updating purchase_order |
string | |
| technical_user |
Embedded entity "user" for technical user using node when adding/updating purchase_order |
user | |
| purchase_order_status_id |
Foreign key to purchase_order_status |
globally unique identifier |
Optionally required : purchase_order_status_id or purchase_order_status_code must be provided |
| purchase_order_status_code |
Foreign key to purchase_order_status using code. Use "Approved","SentToSupplier","Cancelled" or "Delivered" |
string |
Optionally required : purchase_order_status_id or purchase_order_status_code must be provided |
| article_stock_location_id |
Stock location that will receive the articles |
globally unique identifier | |
| is_pickup |
If pickup, the technician will go himself to the supplier to take the goods |
boolean | |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "48c03514-5f37-4e44-ae36-9783cd584218",
"id2": 2,
"jobs_id": "55fe2889-fad8-47e5-96cf-5cccfa158146",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "dc664c86-7dff-43ec-b9b7-1f4df978c2cd",
"supplier_company_code": "sample string 6",
"user_id": "5e9f02c4-fe3d-4f86-ad93-a0d2ac24eaae",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-26T23:39:14.9190314+00:00",
"date_update": "2026-10-26T23:39:14.9190314+00:00",
"date_delivery": "2026-10-26T23:39:14.9190314+00:00",
"confirmed_date_delivery": "2026-10-26T23:39:14.9190314+00:00",
"delivery_db_address_id": "c1170158-14cf-4e84-9a95-ad95db027f3f",
"approved_by_user_id": "176838a7-c418-4d49-a24e-041748e32d69",
"approved_by_user_code": "sample string 18",
"technical_user_id": "3e293ca7-8b9b-4cb3-87f6-c05348fee50b",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "68c24749-0d5d-4522-8b96-e8c266701579",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "b7328e80-76ee-4c78-a083-afc9f71af732",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-26T23:39:14.9190314+00:00"
}